package com.laohuai.appdemo.customui;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import com.laohuai.appdemo.customui.ui.HeadListView;

public class MainActivity extends Activity {

    private List<String> data;
    private HeadListAdater adapter;
    private Button mTestBtn;
    private View mHeadView;
    private LayoutInflater mInflater;

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        data = new ArrayList<String>();
        for (int i = 1; i <= 20; i++) {
            data.add("第 " + i + " 项");
        }

        final HeadListView listView = (HeadListView) findViewById(R.id.listView);
        listView.setHeadView(R.layout.head, 80);
        View mHeadView = listView.getHeadView();
        mTestBtn = (Button) mHeadView.findViewById(R.id.test);
        mTestBtn.setOnClickListener(new OnClickListener() {

            @Override
            public void onClick(View v) {
                // TODO Auto-generated method stub
                Toast.makeText(getApplicationContext(), "测试HeadView点击",
                        Toast.LENGTH_SHORT).show();
            }
        });
        listView.setOnItemClickListener(new OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> arg0, View arg1, int arg2,
                    long arg3) {
                // TODO Auto-generated method stub
                Toast.makeText(getApplicationContext(), "测试List点击 " + arg2,
                        Toast.LENGTH_SHORT).show();
            }
        });
        adapter = new HeadListAdater(this);
        listView.setAdapter(adapter);
    }

    class ItemView {
        public TextView mTextView;
    }

    class HeadListAdater extends BaseAdapter {
        Context mContext;

        public HeadListAdater(Context context) {
            mContext = context;
            mInflater = LayoutInflater.from(context);
        }

        @Override
        public int getCount() {
            // TODO Auto-generated method stub
            return data.size();
        }

        @Override
        public Object getItem(int i) {
            // TODO Auto-generated method stub
            return null;
        }

        @Override
        public long getItemId(int i) {
            // TODO Auto-generated method stub
            return i;
        }

        @Override
        public View getView(int i, View view, ViewGroup viewgroup) {
            // TODO Auto-generated method stub
            ItemView itemView;
            if (view == null) {
                view = mInflater.inflate(R.layout.list_item, null);
                itemView = new ItemView();
                view.setTag(itemView);
            } else {
                itemView = (ItemView) view.getTag();
            }
            itemView.mTextView = (TextView) view.findViewById(R.id.textView);
            itemView.mTextView.setText(data.get(i));
            return view;
        }

    }
}